Redmine - Defect #8369

Child item date update error
2011-05-13 11:38 - Rafat Smyka

Status: Closed Start date: 2011-05-13
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 1.1.3

Description

| have a parent item and few child items.
When | edit a child item and enter a date (eiter starting or closing date) and try to save my changes, | get an error.
The item | am saving has no child items.

Log details:

Processing IssuesController#update (for xxx.xxx.xxx.xxx at 2011-05-13 11:10:15) [PUT]

Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"9", "hours"=>""}, "commit"=>"Wyslij", "notes"=>"", "action"=>"update",
"_method"=>"put", "authenticity_token"=>"Xxxxxxxxxxxxxxxxxxx", "id"=>"12", "issue"=>{"start_date"=>"2011-05-13",
"custom_field_values"=>{"2"=>"Minor change", "4"=>""}, "estimated_hours"=>"", "priority_id"=>"4", "parent_issue_id"=>"9",
"lock_version"=>"2", "fixed_version_id"=>"3", "done_ratio"=>"0", "assigned_to_id"=>"", "subject"=>"Business concept",
"category_id"=>"2", "tracker_id"=>"2", "due_date"=>"2011-05-20", "status_id"=>"1", "description"=>""}, "controller"=>"issues",

"attachments"=>{"1"=>{"description"=>""}}}

NoMethodError (undefined method “<=>" for nil:NilClass):

app/models/issue.rb:553:in “save_issue_with_child_records'

app/models/issue.rb:535:in “save_issue_with_child_records'

app/controllers/issues_controller.rb:170:in “update’

passenger (3.0.7) lib/phusion_passenger/rack/request_handler.rb:96:in “process_request'

passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:513:in “accept_and_process_next_request’
passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:274:in “main_loop'

passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in “start_request_handler'
passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “send’

passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “handle_spawn_application’
passenger (3.0.7) lib/phusion_passenger/utils.rb:479:in “safe_fork'

passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in “handle_spawn_application’
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in"__send__'
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously’
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:180:in “start'

passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in “start'
passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:219:in “spawn_rails_application’
passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:132:in "lookup_or_add'
passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:214:in "spawn_rails_application’
passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:82:in “synchronize'
passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:79:in “synchronize'
passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:213:in “spawn_rails_application’
passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:132:in “spawn_application'
passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:275:in "handle_spawn_application’
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in °__send__'
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'
passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously’
passenger (3.0.7) helper-scripts/passenger-spawn-server:99

History

#1 - 2011-05-13 21:40 - Rafat Smyka

- Status changed from New to Resolved

| found out the problem was most probably caused by redmine better gantt plugin.
Issue can be closed.
#2 - 2011-05-13 23:00 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution set to Invalid

#3 - 2011-10-25 13:00 - Garry Montague
SPAM

2025-05-04

22


http://www.tcpdf.org

